#include <Adafruit_NeoPixel.h>
#ifdef __AVR__
#include <avr/power.h>
#endif

//Déclaration des variables
//Caméra
int trigger = 4;
//ON
int BP = 5;
//Eclairage
int timer = 50;
int petit_cercle = 2;
int grand_cercle = 3;
int SwitchBlanc = 6;
int SwitchRouge = 7;
int SwitchBleu = 8;
int SwitchVert = 9;
//int SwitchIR = 10;
//int SwitchUV = 11;
int SwitchMode = 11;
//Moteur
int Enable_PIN = 12;
int Pulse = 13;

//Variable de bouclage
char i;

Adafruit_NeoPixel pixelPC = Adafruit_NeoPixel(24,petit_cercle, NEO_GRB + NEO_KHZ800);
Adafruit_NeoPixel pixelGC = Adafruit_NeoPixel(60,grand_cercle, NEO_GRB + NEO_KHZ800);

void setup() {
  // put your setup code here, to run once:
  
  //Déclaration E/S
  //Caméra
  pinMode(trigger,OUTPUT);
  //ON
  pinMode(BP,INPUT_PULLUP);
  //Eclairage
  pinMode(SwitchBlanc,INPUT_PULLUP);
  pinMode(SwitchRouge,INPUT_PULLUP);
  pinMode(SwitchBleu,INPUT_PULLUP);
  pinMode(SwitchVert,INPUT_PULLUP);
// pinMode(SwitchIR,INPUT_PULLUP);
// pinMode(SwitchUV,INPUT_PULLUP);
  pinMode(SwitchMode,INPUT_PULLUP);
  //Moteur
  pinMode(Enable_PIN, OUTPUT);
  pinMode(Pulse, OUTPUT);

  //Déclaration des fonction
  void Eclairage();
  void Motor_Control_Auto(double nbTours, int Speed);

  
  

  //Démarrage des cercles de led
  pixelPC.begin();
  pixelGC.begin();
}

void loop() {
  // put your main code here, to run repeatedly:

    int Speed = 1200;
  
//Si le Bouton est appuyé
  if(digitalRead(BP) == LOW) {
    if(digitalRead(SwitchMode) == LOW) {
      for(i=0; i<6; i++) {
        Eclairage();
        Motor_Control_Auto(6,Speed);
      }
    }
    else{
      for(i=0; i<9; i++) {
        Eclairage();
        Motor_Control_Auto(9,Speed);
      }
    }
  }
        digitalWrite(Pulse, LOW);
        delayMicroseconds(Speed);
  
        digitalWrite(Pulse, HIGH);
        delayMicroseconds(Speed);
        
        digitalWrite(Pulse, LOW);
        delayMicroseconds(Speed);
  
        digitalWrite(Pulse, HIGH);
        delayMicroseconds(Speed);
        
  digitalWrite(Enable_PIN, HIGH);
}
